%define version 0.3.5
%define release %mkrel 6
%define name wmwebcam
%define title WmWebcam 

Summary:    Watch your own webcam in a small dockapp window
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Toys
Source:		%{name}-%{version}.tar.bz2
Source1:    %{name}.16x16.png.bz2
Source2:    %{name}.32x32.png.bz2
Source3:    %{name}.48x48.png.bz2
URL:		http://fragment.stc.cx/?abd
Requires:	XFree86-libs
BuildRequires:	XFree86-devel libjpeg-devel
Buildrequires:	libxpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description

This is for watching your webcam which has a video4linux driver in your
windowmakers dock..
This is actually just a edited version of vidcat (from w3cam's package)
Default jpeg output file is /tmp/wmwebcam.jpg and default quality is 100%,
change the default values if necessary from the source code.
Also remember to check the wmwebcam.pl and edit it

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
 
%make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 {wmwebcam,wmwebcam.pl} $RPM_BUILD_ROOT/usr/X11R6/bin/

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name}" icon="%{name}.png"\\
                 needs="X11" section="Applications/Monitoring" title="%{title}"\\
                 longtitle="Watch your own webcam in a small dockapp window"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}

%files
%defattr (-,root,root)
%doc README Changelog COPYING
%{prefix}/bin/*
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Thu Dec 05 2006 Lenny Cartier <lenny@mandriva.com> 0.3.5-6mdk
- rebuild

* Thu Jul 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-5mdk
- rebuild

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-4mdk
- buildrequires

* Mon Sep  9 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.3.5-3mdk
- added Packager

* Tue Jun 04 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.5-2mdk
- png icons (out xpm!)

* Thu May 31 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.3.5-1mdk
- first mandrake package
- based on numerous specfile from "the top creamy hacker" viet ;)


